export interface OutputByType {
  base64: string
  string: string
  text: string
  binarystring: string
  array: number[]
  uint8array: Uint8Array
  arraybuffer: ArrayBuffer
  blob: Blob
  nodebuffer: Buffer
}

interface InputByType {
  base64: string
  string: string
  text: string
  binarystring: string
  array: number[]
  uint8array: Uint8Array
  arraybuffer: ArrayBuffer
  blob: Blob
  stream: NodeJS.ReadableStream
}

export type OutputType = keyof OutputByType
export type InputFileFormat =
  | InputByType[keyof InputByType]
  | Promise<InputByType[keyof InputByType]>
